program pascalkralj;
var
i,n,k,l,j:integer;
a:array [1..1000000] of int64;
begin
readln(n);
for i:=1 to n do
begin
read(a[i]);
if a[i]=1 then
begin
writeln(1);
writeln(1);
exit;
end
else if a[i]=-1 then
begin
writeln(1);
writeln(1);
exit;
end;
end;
writeln(n);
for i:=1 to n do
begin
if i=n then
write(2)
else
write(23);
end;